from sugar3.activity import activity
import logging

from gettext import gettext as _

from gi.repository import Gtk
from gi.repository import GObject

try:
    from gi.repository import SugarGestures
    GESTURES_AVAILABLE = True
except:
    GESTURES_AVAILABLE = False

_logger = logging.getLogger('gestures_test-activity')


class GesturesTestActivity(activity.Activity):

    def __init__(self, handle):
        activity.Activity.__init__(self, handle)

        self._object_id = handle.object_id

        if GESTURES_AVAILABLE:
            self._resize_timer = None
            self._rotate_timer = None
            zoom_controller = SugarGestures.ZoomController()
            zoom_controller.connect('scale-changed',
                    self.__scale_changed_cb)
            zoom_controller.attach(self,
                    SugarGestures.EventControllerFlags.NONE)

            rotate_controller = SugarGestures.RotateController()
            rotate_controller.connect('angle-changed',
                    self.__angle_changed_cb)
            rotate_controller.attach(self,
                    SugarGestures.EventControllerFlags.NONE)

        vadj = Gtk.Adjustment()
        hadj = Gtk.Adjustment()
        self.sw = Gtk.ScrolledWindow(hadj, vadj)

        notebook = Gtk.Notebook()
        notebook.set_show_tabs(False)

        self.sw.set_policy(Gtk.PolicyType.AUTOMATIC, Gtk.PolicyType.AUTOMATIC)
        notebook.append_page(self.sw, None)

        self.set_canvas(notebook)
        notebook.show_all()

    def __scale_changed_cb(self, controller, scale):
        logging.error('Scale changed %f', scale)

    def __angle_changed_cb(self, controller, angle, diff):
        logging.error('Angle changed %f %f', angle, diff)

    def read_file(self, *args, **kwargs):
        pass
